StringIndexOutOfBoundsException (Java SE 12 & JDK 12 )
Keywords: java.lang.StringIndexOutOfBoundsException class

Module java.base
Package java.lang

## Class StringIndexOutOfBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException
        - - java.lang.StringIndexOutOfBoundsException

- All Implemented Interfaces:
    `Serializable`

      public class StringIndexOutOfBoundsException
      extends IndexOutOfBoundsException

  Thrown by `String` methods to indicate that an index is either negative or greater than the size of the string. For some methods such as the `charAt` method, this exception also is thrown when the index is equal to the size of the string.
  Since:
    1.0
  See Also:
    `String.charAt(int)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringIndexOutOfBoundsException()` | Constructs a `StringIndexOutOfBoundsException` with no detail message.
    `StringIndexOutOfBoundsException​(int index)` | Constructs a new `StringIndexOutOfBoundsException` class with an argument indicating the illegal index.
    `StringIndexOutOfBoundsException​(String s)` | Constructs a `StringIndexOutOfBoundsException` with the specified detail message.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringIndexOutOfBoundsException

          public StringIndexOutOfBoundsException()

      Constructs a `StringIndexOutOfBoundsException` with no detail message.

    - #### StringIndexOutOfBoundsException

          public StringIndexOutOfBoundsException​(String s)

      Constructs a `StringIndexOutOfBoundsException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### StringIndexOutOfBoundsException

          public StringIndexOutOfBoundsException​(int index)

      Constructs a new `StringIndexOutOfBoundsException` class with an argument indicating the illegal index.

      The index is included in this exception's detail message. The exact presentation format of the detail message is unspecified.

      Parameters:
        `index` - the illegal index.